=== debian/control ===
Source: kalk
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Marco Mattiolo <marco.mattiolo@hotmail.it>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6unitconversion-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libqalculate-dev (>= 4.7.0~),
               libssl-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kalk/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalk

Package: kalk
Architecture: any
Multi-Arch: foreign
Depends: qt6-wayland,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Powerful cross-platform calculator based on the Kirigami framework
 Kalk is a convergent calculator application built with the Kirigami framework.
 Although it is mainly targeted for mobile platforms, it can also be used
 on the desktop.
 .
 Originally starting as a fork of Liri calculator, Kalk has gone through heavy
 development, and no longer shares the same codebase with Liri calculator.
