=== debian/changelog ===
kalk (25.12.2+p24.04+vunstable+git20260207.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:02:30 +0000

kalk (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:57:41 +0000
